<?php
namespace Tests\AppBundle\Controller;

use AppBundle\Controller\HelloController;
use Symfony\Bundle\FrameworkBundle\Test\WebTestCase;

class HelloControllerTest extends WebTestCase
{
    public function testHelloRandomRoute()
    {
        $client = static::createClient();

        $crawler = $client->request('GET', '/helloRandom');

        $this->assertEquals(200, $client->getResponse()->getStatusCode());
        $this->assertContains('Hello ', $crawler->filter('h1')->text());
    }

    function testRandomNameGenerator(){
        $rdName = HelloController::generateRandomName();
        $this->assertGreaterThan(1, strlen($rdName));
    }

    function testnameAction(){
        $client = static::createClient();
        $crawler = $client->request('GET', '/hello/{name}');

        $this->assertEquals(200, $client->getResponse()->getStatusCode());

        $this->assertContains('Hello {name}', $crawler->filter('h1')->text());
    }
}

